#!/bin/bash
usage (){
	echo "Usage: $0 file.mid nb_halftone dest_file.mid"
	echo ""
	echo "import file.mid, transpose the midi file"
	echo "save it to dest_file.mid and generetes dest_file.mid.wav"
	exit 1
}

if [ $# -ne 3 ]
then
	usage
fi

if [ ! -f $1 ]
then
	usage 
fi
if [ ! -f $3 ]
then
	usage
fi
declare -i trans
trans=$2

echo "Creating $3 midi file transposing $2 halftone ..."
rmidish > /dev/null 2>&1 <<EOF
import "$1"
sel 10000
ev {any {0 0..8}}
for trk in [tlist] { ct \$trk; ttransp $trans; }
ev {any {0 10..15}}
for trk in [tlist] { ct \$trk; ttransp $trans; }
export "$3"
EOF
echo "Generating $3.wav wave file with timidity ..."
timidity -Ow $3 >/dev/null 2>&1
